qmail-inject(8)

NAZWA
qmail-inject - przetwarza i wysyła wiadomość pocztową

SKŁADNIA
qmail-inject [ -nNaAhH ] [ -fsender ] [ odbiorca ... ]

OPIS
qmail-inject czyta wiadomość pocztową ze swojego standardowego wejścia, dodaje odpowiednie informacje do nagłówka tej wiadomości, po czym wywołuje qmail-queue, by ją wysłać do jednego lub wielu odbiorców.

Zobacz qmail-header(5), aby uzyskać informacje na temat tego, jak qmail-inject przepisuje pola nagłówka.

qmail-inject normalnie zwraca 0. Zwraca kod 100, jeśli był wywołany niepoprawnie lub jeśli w otrzymanej wiadomości jest jakiś poważny błąd składniowy. Zwraca też 111 przy błędach tymczasowych.

ZMIENNE ŚRODOWISKOWE
Dla wygody użytkowników nieuruchamiających bezpośrednio qmail-inject program qmail-inject pobiera wiele opcji przez zmienne środowiskowe.

Nazwa użytkownika w polu From nagłówka jest ustawiana przez zmienne QMAILUSER, MAILUSER, USER, lub LOGNAME, zależnie od tego, która z nich jest ustawiona najpierw.

Nazwa hosta jest zwykle ustawiana przez globalny plik kontrolny defaulthost, ale może być przesłonięta przez zmienną QMAILHOST lub MAILHOST.

Imię i nazwisko (nazwa osobowa) to zmienne QMAILNAME, MAILNAME lub NAME.

Domyślny, kopertowy adres nadawcy jest taki sam, jak domyślny adres z pola From, lecz może być przesłonięty przy użyciu QMAILSUSER i QMAILSHOST. Może być też zmodyfikowany z użyciem liter r i m opisanych poniżej. Odbicia (zwroty poczty) będą wysyłane właśnie pod ten adres.

Jeśli zmienna QMAILMFTFILE jest ustawiona, qmail-inject czyta listę adresów list dyskusyjnych, jeden adres na linię z podanego pliku. Jeśli To+Cc zawiera jeden z tych adresów (bez względu na wielkość liter), to qmail-inject dodaje pole Mail-Followup-To ze wszystkimi adresami To+Cc. qmail-inject nie doda nagłówka Mail-Followup-To do wiadomości, która już taki nagłówek zawiera.

Zmienna środowiskowa QMAILINJECT może zawierać jakąkolwiek z poniższych liter:

c   Używa stylu komentarz-adres dla pola From. Normalnie qmail-inject używa stylu nazwa-adres.

s   Nie zwraca uwagi na żadne nadchodzące pola Return-Path. Normalnie, jeśli pole Return-Path jest dołączone, to ustawiany jest kopertowy adres nadawcy przesłaniający wszystkie ustawienia zmiennych środowiskowych. Return-Path jest usuwane w każdym przypadku.

f   Usuwa każde nadchodzące pole From przesyłki. Normalnie, jeśli pole From jest załączone, to jego zawartość przesłania standardowe pole From wytworzone przez qmail-inject.

i   Usuwa każde nadchodzące pole Message-ID wiadomości. Normalnie, jeśli pole Message-ID jest załączone, to przesłania ono pole Message-ID stworzone przez qmail-inject.

r   Używa zmiennych kopertowych ścieżek powrotu (VERPs) zorientowanych na odbiorcę. qmail-inject dołączy każdy adres odbiorcy do kopertowego nadawcy kopii wiadomości idącej do tego odbiorcy.

m   Używa zmiennych kopertowych ścieżek powrotu (VERPs) zorientowanych na wiadomość. qmail-inject dołączy obecną datę i identyfikator procesu do kopertowego nadawcy.

OPCJE

-a  Wysyła wiadomość do wszystkich adresów podanych jako argumenty recip; nie używa adresów odbiorców określonych nagłówkami wiadomości.

-h  Wysyła wiadomość do wszystkich odbiorców określonych w nagłówkach. Dla wiadomości nie-przelotowych oznacza to adresy wyszczególnione w To, Cc, Bcc, Apparently-To. Dla wiadomości przelotowych oznacza adresy podane w Resent-To, Resent-Cc, Resent-Bcc. Nie używa żadnych argumentów recip.

-A  (Domyślna) Wysyła wiadomość do wszystkich adresów podanych jako argumenty recip. Jeśli nie dołączono argumentów recip, to wiadomość zostanie wysłana do wszystkich nagłówkowych adresatów.

-H  Wysyła wiadomość do wszystkich nagłówkowych odbiorców, a także do wszystkich adresów podanych jako argumenty recip.

-fsender
    Przepuszcza pole sender do qmail-queue jako kopertowego nadawcę wiadomości. Przesłania to zawartość Return-Path i wszystkich zmiennych środowiskowych.

-N  (Domyślna) Wysyła przetworzoną wiadomość do qmail-queue.

-n  Wypisuje wiadomość, zamiast wysyłać ją do qmail-queue.

PLIKI KONTROLNE

defaultdomain
    Domyślna nazwa domeny. Domyślnie: me, jeśli plik taki jest ustawiony; w przeciwnym razie nazwa literowa defaultdomain, co pewnie nie jest właściwe. qmail-inject dodaje tę nazwę do każdej nazwy hosta bez kropek, włączając defaulthost, jeśli defaulthost nie zawiera kropek. (Wyjątek: patrz plusdomain).

    Zmienna środowiskowa QMAILDEFAULTDOMAIN przesłania ustawienia z pliku defaultdomain.

defaulthost
    Domyślna nazwa hosta. Domyślnie: me, jeśli plik taki jest ustawiony; w przeciwnym razie nazwa literowa defaulthost, co pewnie nie jest właściwe. qmail-inject dodaje tę nazwę do każdego adresu nie posiadającego nazwy hosta. defaulthost musi być obecną nazwą maszyny. Na przykład, możesz chcieć by poczta wychodząca oznakowana była tylko nazwą Twojej domeny.

    Zmienna środowiskowa QMAILDEFAULTHOST przesłania ustawienia z pliku defaulthost.

idhost
    Nazwa hosta dla identyfikatorów wiadomości (nagłówki Message-ID). Domyślnie: me, jeśli plik taki jest ustawiony; w przeciwnym razie nazwa literowa idhost, która oczywiście nie jest właściwa. idhost powinien być obecną nazwą hosta. Na przykład możesz też chcieć używać zmyślonych nazw hosta w polu Message-ID. Jednakże, idhost musi być w pełni kwalifikowaną nazwą domenową wewnątrz Twojej domeny, a każdy host w Twojej domenie powinien używać odmiennego ustawienia idhost.

    Zmienna środowiskowa QMAILIDHOST przesłania ustawienie z pliku idhost.

plusdomain
    Nazwa domeny z plusem. Domyślnie: me, jeśli taki plik istnieje; w przeciwnym razie literowa nazwa plusdomain, która z prawdopodobnie nie jest właściwa. qmail-inject dodaje tę nazwę do każdej nazwy hosta kończącej się znakiem plus, włączając defaulthost, jeśli defaulthost kończy się znakiem plusa. Jeśli nazwa hosta nie zawiera kropek, lecz kończy się znakiem plusa to qmail-inject używa pliku plusdomain, a nie defaultdomain.

    Zmienna środowiskowa QMAILPLUSDOMAIN przesłania ustawienie pliku kontrolnego plusdomain.

ZOBACZ TAKŻE
addresses(5), qmail-control(5), qmail-header(5), qmail-queue(8)

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Paweł Wilk (PTM) <siefca@pl.qmail.org> i Robert Luberda <robert@debian.org>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 1.06 oryginału.